<?php

namespace Modules\HR\Enums;

enum AttendancesEnum: string
{
    case Present = 'present';
    case Absent = 'absent';
    case Late = 'late';
    case Leave = 'leave';
    case Holiday = 'holiday';
    case Weekend = 'weekend';

    public const PRESENT = self::Present->value;
    public const ABSENT = self::Absent->value;
    public const LATE = self::Late->value;
    public const LEAVE = self::Leave->value;
    public const HOLIDAY = self::Holiday->value;
    public const WEEKEND = self::Weekend->value;

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
